#ifndef RANDOM_H
#define RANDOM_H

#include "common/utils/Types.h"

class Random {
public:
    Random();
    Random(u64 seed);

    u32 next();
    u32 next(uint bound);
    float nextFloat();
    float nextFloat(float scale);

private:
    u64 nextSeed();

    u64 seed;
};

#endif